Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039750
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2018-10-25 15:452018-12-13 07:41
ReporterngarciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision4d13dd2800f7
ProjectionnoneETAnoneTarget VersionRR18Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039750: Initial Validation: different currency in 'POS Terminal Type-Payment Method' and 'POS Terminal-Payment Type-Financial Account'

DescriptionDuring the login in POS, it should be checked if there exists any payment type in the POS Terminal whose financial account has a different currency than the one defined in the POS Terminal Type - Payment Method
Steps To Reproduce[BO]
. POS Terminal Type window: VBS POS Terminal Type
-> Change currency for 'Cash' Payment method to USD

[POS- VBS-1]
. do login -> login can be done
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039537 closedranjith_qualiantech_com Initial Validation: different currency in 'POS Terminal Type-Payment Method' and 'POS Terminal-Payment Type-Financial Account' 

-  Notes
(0108562)
hgbot (developer)
2018-12-13 07:41

Repository: retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal
Changeset: 4d13dd2800f7181c8e4eadc384ac7d6ade81f875
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:10:50 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal/rev/4d13dd2800f7181c8e4eadc384ac7d6ade81f875 [^]

Fixed issue 39750 : Added Initial validtion for Payment method Currency

* Added Initial validtion to check Payment method Currency differ with Payment Type Financial account currency

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/InitialValidations.java
---

- Issue History
Date Modified Username Field Change
2018-12-04 12:58 marvintm Type defect => backport
2018-12-04 12:58 marvintm Target Version => RR18Q4.1
2018-12-13 07:41 hgbot Checkin
2018-12-13 07:41 hgbot Note Added: 0108562
2018-12-13 07:41 hgbot Status scheduled => resolved
2018-12-13 07:41 hgbot Resolution open => fixed
2018-12-13 07:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f6494b3f1a0be852d383b3998e8dd6849c8daa8 [^] => http://code.openbravo.com/retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal/rev/4d13dd2800f7181c8e4eadc384ac7d6ade81f875 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker